--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Encode and return data for this image in PNG format. The <tt>level</tt> argument should be in the range 0\xE2\x80\x939 indicating the level of lossless compression (0 = none, 1 = minimal but fast, 9 = best but slow)."
full_name: GD2::Image#png
is_singleton: false
name: png
params: (level = nil)
visibility: public
